summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/xds-server-start.sh2
-rwxr-xr-xscripts/xds-server-stop.sh1
-rwxr-xr-xscripts/xds-utils/install-agl-sdks.sh10
3 files changed, 8 insertions, 5 deletions
diff --git a/scripts/xds-server-start.sh b/scripts/xds-server-start.sh
index dc108fe..7985759 100755
--- a/scripts/xds-server-start.sh
+++ b/scripts/xds-server-start.sh
@@ -73,3 +73,5 @@ if [ "$1" != "-dryrun" ]; then
pid_xds=$(jobs -p)
echo "pid=${pid_xds}"
fi
+
+exit 0
diff --git a/scripts/xds-server-stop.sh b/scripts/xds-server-stop.sh
index 8a6bf5e..674ed25 100755
--- a/scripts/xds-server-stop.sh
+++ b/scripts/xds-server-stop.sh
@@ -16,3 +16,4 @@ if [ "$nbProc" != "0" ]; then
pkill -KILL syncthing-inotify
fi
+exit 0
diff --git a/scripts/xds-utils/install-agl-sdks.sh b/scripts/xds-utils/install-agl-sdks.sh
index 9fbacbb..f230569 100755
--- a/scripts/xds-utils/install-agl-sdks.sh
+++ b/scripts/xds-utils/install-agl-sdks.sh
@@ -75,7 +75,7 @@ if [ "$FILE" = "" ]; then
exit 1
fi
SDK_FILE=${XDT_SDK}/${FILE}
-elif [ ! -f $FILE ]; then
+elif [ ! -f "$FILE" ]; then
echo "SDK file not found: $FILE"
exit 1
else
@@ -108,14 +108,14 @@ cleanExit ()
}
# Get SDK installer
-if [ ! -f ${SDK_FILE} ]; then
+if [ ! -f "${SDK_FILE}" ]; then
do_cleanup=true
- wget "$SDK_BASEURL/$FILE" -O ${SDK_FILE} || exit 1
+ wget "$SDK_BASEURL/$FILE" -O "${SDK_FILE}" || exit 1
fi
# Retreive default install dir to extract version
-offset=$(grep -na -m1 "^MARKER:$" ${SDK_FILE} | cut -d':' -f1)
-eval $(head -n $offset ${SDK_FILE} | grep ^DEFAULT_INSTALL_DIR= )
+offset=$(grep -na -m1 "^MARKER:$" "${SDK_FILE}" | cut -d':' -f1)
+eval $(head -n $offset "${SDK_FILE}" | grep ^DEFAULT_INSTALL_DIR= )
VERSION=$(basename $DEFAULT_INSTALL_DIR)
[ "$PROFILE" = "" ] && { echo "PROFILE is not set"; exit 1; }